shader_type canvas_item;
uniform float amplitudo = 0.015;
uniform float speed = 1.0;
uniform vec2 scaling = vec2(1,1);
uniform float top = 0.5;
uniform float waves = 10;

void fragment(){
	vec2 tex = UV * scaling;
	float y = tex.y + tex.y * top - 0.15 + (sin (tex.x * waves + TIME * speed) * amplitudo);
	COLOR = texture(TEXTURE, vec2(tex.x, y));
}
